
Ruby - Bug #14368

backport r61862 (Fix SEGV of `/#{"\u3042"}#{'い'}/` in non UTF-8)

01/17/2018 12:29 PM - nagachika (Tomoyuki Chikanaga)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.3: REQUIRED, 2.4: DONE, 2.5: DONE

Description

backport 管理用チケットです。

Associated revisions

Revision 86613d13d5f576f2a84413f04297ed3f4e2c25e1 - 02/22/2018 10:04 PM - naruse (Yui NARUSE)

merge revision(s) 61862: [Backport #14368]

    parse.y (new_regexp): Fix SEGV of `/#{"\u3042"}#{'?'}/` in non UTF-8

    Mixing other encoding string literals in one Regexp caused SEGV.

    This bug was found by CoverityScan.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@62539 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 86613d13 - 02/22/2018 10:04 PM - naruse (Yui NARUSE)

merge revision(s) 61862: [Backport #14368]

    parse.y (new_regexp): Fix SEGV of `/#{"\u3042"}#{'?'}/` in non UTF-8

    Mixing other encoding string literals in one Regexp caused SEGV.

    This bug was found by CoverityScan.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@62539 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 31ccc99d6295dfd6da71728592f7ea48cd809d60 - 03/21/2018 03:57 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 61862: [Backport #14368]

    parse.y (new_regexp): Fix SEGV of `/#{"\u3042"}#{'{U+3044}'}/` in non UTF-8

    Mixing other encoding string literals in one Regexp caused SEGV.

    This bug was found by CoverityScan.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@62880 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 31ccc99d - 03/21/2018 03:57 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 61862: [Backport #14368]

    parse.y (new_regexp): Fix SEGV of `/#{"\u3042"}#{'{U+3044}'}/` in non UTF-8

    Mixing other encoding string literals in one Regexp caused SEGV.

    This bug was found by CoverityScan.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@62880 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/22/2018 10:04 PM - naruse (Yui NARUSE)

- Backport changed from 2.3: REQUIRED, 2.4: REQUIRED, 2.5: REQUIRED to 2.3: REQUIRED, 2.4: REQUIRED, 2.5: DONE

ruby_2_5 r62539 merged revision(s) 61862.

#2 - 03/21/2018 03:58 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.3: REQUIRED, 2.4: REQUIRED, 2.5: DONE to 2.3: REQUIRED, 2.4: DONE, 2.5: DONE
ruby_2_4 r62880 merged revision(s) 61862.
